### Method

# FwupdPlugin Config get_value_strv

since: 1.9.1

#### Declaration [src]

    gchar**
    fu_config_get_value_strv (
      FuConfig* self,
      const gchar* section,
      const gchar* key
    )

#### Description [src]

Return the value of a key, falling back to the default value if missing.

NOTE: this function will return an empty string for `key=`.

Available since: 1.9.1

#### Parameters

`section`

  Type: `const gchar*`

  A settings section.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`key`

  Type: `const gchar*`

  A settings key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `utf8`

Key value.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.